"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const createTaskDefinition_1 = __importDefault(require("./createTaskDefinition"));
const updateECSService_1 = __importDefault(require("./updateECSService"));
const updateCron_1 = __importDefault(require("./updateCron"));
async function main(name, loc, env, tag) {
    const f = fs_1.default.readFileSync(`${loc}/stack.json`, { encoding: 'utf8' });
    const stack = JSON.parse(f);
    try {
        await (0, createTaskDefinition_1.default)(stack, name, env, tag);
    }
    catch (e) {
        console.log(`Problem with Taskdef: ${e.message}`);
        return;
    }
    if (stack[env].cron) {
        try {
            await (0, updateCron_1.default)(stack, name, env);
        }
        catch (e) {
            console.log(`Problem updating cron: ${e.message}`);
        }
    }
    else {
        try {
            await (0, updateECSService_1.default)(stack, name, env);
        }
        catch (e) {
            console.log(`Problem updating service: ${e.message}`);
        }
    }
}
exports.default = main;
//# sourceMappingURL=index.js.map